Bug 963517 - lapack-devel is missing in puddle that cause openshift-origin-cartridge-python fail to be installed.
lapack-devel is missing in puddle that cause openshift-origin-cartridge-pytho...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
1.2.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 23:13 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:46:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-05-15 23:13:01 EDT
Description of problem:
lapack-devel is missing in puddle that cause openshift-origin-cartridge-python fail to be installed.

Due to lapack-devel has dependency with blas-devel, so blas-devel should also be included into node repo.

Version-Release number of selected component (if applicable):
1.2/2013-05-15.1

How reproducible:
Always

Steps to Reproduce:
1.Seup node repo
2.Install python cartridge.
# yum install openshift-origin-cartridge-python
3.
  
Actual results:
# yum install openshift-origin-cartridge-python
<--snip-->
--> Processing Dependency: lapack-devel for package: openshift-origin-cartridge-python-0.4.1-1.git.156.203d58c.el6op.noarch
--> Finished Dependency Resolution
Error: Package: openshift-origin-cartridge-python-0.4.1-1.git.156.203d58c.el6op.noarch (openshift_node)
           Requires: lapack-devel
 You could try using --skip-broken to work around the problem


Expected results:
openshift-origin-cartridge-python should be installed.

Additional info:
Comment 2 Brenton Leanhardt 2013-05-16 07:42:03 EDT
Sorry, this was do to my overzealous packaging cleanup.  It will be fixed in the next puddle.
Comment 4 Johnny Liu 2013-05-16 22:23:17 EDT
Verified this bug with 1.2/2013-05-16.1, and PASS.

=========================================================================================================================================================================================
 Package                                                  Arch                          Version                                              Repository                             Size
=========================================================================================================================================================================================
Installing:
 openshift-origin-cartridge-python                        noarch                        0.4.1-1.git.209.ce3ef80.el6op                        openshift_node                         50 k
Installing for dependencies:
 blas-devel                                               x86_64                        3.2.1-4.el6                                          openshift_node                        132 k
 lapack-devel                                             x86_64                        3.2.1-4.el6                                          openshift_node                        4.5 M

Transaction Summary
=========================================================================================================================================================================================
Comment 5 Luke Meyer 2013-06-28 11:46:50 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.